Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 242774 - www-client/dillo-2.0.ebuild (Update)
Summary: www-client/dillo-2.0.ebuild (Update)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Desktop Misc. Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-19 14:45 UTC by Hans Hohenfeld
Modified: 2009-07-15 13:05 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for dillo-2.0 (dillo-2.0.ebuild,903 bytes, text/plain)
2008-10-19 14:45 UTC, Hans Hohenfeld
Details
Ebuild for fltk-2.0-r6403 (fltk-2.0-r6403.ebuild,1.73 KB, text/plain)
2008-10-19 14:46 UTC, Hans Hohenfeld
Details
www-client/dillo-2.0 ebuild (dillo-2.0.ebuild,937 bytes, text/plain)
2008-10-21 13:58 UTC, Ben de Groot (RETIRED)
Details
Small patch to fix casting error from inbuf_t to char (inbuf.patch,393 bytes, text/plain)
2008-10-21 21:08 UTC, Hans Hohenfeld
Details
Fix installation failure with USE="-doc" (dillo-2.0.ebuild,1.40 KB, text/plain)
2008-10-22 14:30 UTC, Hans Hohenfeld
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hans Hohenfeld 2008-10-19 14:45:11 UTC
After a long time of inactivity the dillo team released version 2.0 of their small web browser. It is now based on FLTK2 which is only released as weekly snapshot and not in portage yet. I attached an ebuild for x11-libs/fltk-2.0-r6403 too.

Note: Both ebuilds are based on the latest version of each available in portage. I'm not entirely sure that all dependencies are right, but at least it works (tested on amd64).


http://www.dillo.org/
http://www.fltk.org/
Comment 1 Hans Hohenfeld 2008-10-19 14:45:57 UTC
Created attachment 169092 [details]
ebuild for dillo-2.0
Comment 2 Hans Hohenfeld 2008-10-19 14:46:31 UTC
Created attachment 169094 [details]
Ebuild for fltk-2.0-r6403
Comment 3 Mike Auty gentoo-dev 2008-10-19 20:50:44 UTC
I'm afraid dillo currently needs a maintainer, and this new package wants a maintainer, so I've CCed both maintainer-wanted and maintainer-needed, but you might do best to try and contact an interested dev, or look into the sunrise project for these...
Comment 4 Ben de Groot (RETIRED) gentoo-dev 2008-10-21 00:08:48 UTC
FLTK is being maintained by the desktop-misc herd, and I am interested in getting dillo-2 into portage, so I'm assigning dillo to us as well then. I'll play around with these ebuilds and see if I can straighten things out. Getting rid of GTK+-1 is an honourable goal... ;-)
Comment 5 Ben de Groot (RETIRED) gentoo-dev 2008-10-21 13:58:22 UTC
Created attachment 169308 [details]
www-client/dillo-2.0 ebuild

So I just committed an fltk-2.0 pre-release snapshot to portage, but hardmasked for the moment. Please test and report issues here, if any.

I'm having more trouble with the dillo ebuild tho. I'm attaching what I have so far. But compilation fails here with:

form.cc: In member function ‘Dstr* DilloHtmlForm::encodeText(void*, Dstr**)’:
form.cc:1261: error: invalid conversion from ‘const char**’ to ‘char**’
form.cc:1261: error:   initializing argument 2 of ‘size_t iconv(void*, char**, size_t*, char**, size_t*)’

I need someone who knows C++ to take a look at that and come up with a patch.
Comment 6 Hans Hohenfeld 2008-10-21 21:06:57 UTC
(In reply to comment #5)
> Created an attachment (id=169308) [edit]
> www-client/dillo-2.0 ebuild
> 
> So I just committed an fltk-2.0 pre-release snapshot to portage, but hardmasked
> for the moment. Please test and report issues here, if any.

great. I will do so :) First thing: If I install FLTK2 from portage now and try to compile dillo afterwards I get a

/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lfltk2_images
collect2: ld returned 1 exit status
make[3]: *** [dillo] Error 1

For some reasons I don't know, the fltk2 libs aren't found. If I add a LDFLAGS="-L/usr/lib64/fltk" right before ./configure or econf everything works... No such issues with any other lib

 
> I'm having more trouble with the dillo ebuild tho. I'm attaching what I have so
> far. But compilation fails here with:

I have some issues with the dillo ebuild too. First

ebuild dillo-2.0.ebuild digest

complains:

!!! Unable to do any operations on 'www-client/dillo-2.0', since it's EAPI
!!! is higher than this portage version's. Please upgrade to a portage
!!! version that supports EAPI '2'.

if I remove EAPI="2" from the ebuild (which I guess is a stupid thing to do) the ebuild I get:

emerge: there are no ebuilds to satisfy "x11-libs/fltk:2[-cairo,jpeg=,png=]".

I guess it's related to my portage version which is 2.1.4.5 which is latest stable on amd64.

> 
> form.cc: In member function ‘Dstr* DilloHtmlForm::encodeText(void*,
> Dstr**)’:
> form.cc:1261: error: invalid conversion from ‘const char**’ to ‘char**’
> form.cc:1261: error:   initializing argument 2 of ‘size_t iconv(void*,
> char**, size_t*, char**, size_t*)’
> 
> I need someone who knows C++ to take a look at that and come up with a patch.
> 

can't reproduce that, but I attached a small patch that should fi the problem
Comment 7 Hans Hohenfeld 2008-10-21 21:08:06 UTC
Created attachment 169348 [details]
Small patch to fix casting error from inbuf_t to char
Comment 8 Ben de Groot (RETIRED) gentoo-dev 2008-10-22 00:55:47 UTC
Thanks! That patch made it compile for me. Somehow the configure script does something wrong in dealing with my glibc version (latest ~x86) and its iconv.h include.

I have developed the ebuild a bit further and committed it to portage. It is hard-masked for now, until I can unmask fltk:2. I'm keeping this bug open in case any issues pop up.

You need >=portage-2.2_rc11 to use EAPI=2 ebuilds.
Comment 9 Mark 2008-10-22 13:33:27 UTC
I unmasked both builds and compiled (set USE=-cairo).  I get this: 

make[2]: Entering directory `/var/tmp/portage/www-client/dillo-2.0/work/dillo-2.0/test'
make[2]: Nothing to be done for `install-exec-am'.
make[2]: Nothing to be done for `install-data-am'.
make[2]: Leaving directory `/var/tmp/portage/www-client/dillo-2.0/work/dillo-2.0/test'
make[1]: Leaving directory `/var/tmp/portage/www-client/dillo-2.0/work/dillo-2.0/test'
make[1]: Entering directory `/var/tmp/portage/www-client/dillo-2.0/work/dillo-2.0'
make[2]: Entering directory `/var/tmp/portage/www-client/dillo-2.0/work/dillo-2.0'
test -z "/etc" || /bin/mkdir -p "/var/tmp/portage/www-client/dillo-2.0/image//etc"
 /usr/bin/install -c -m 644 'dillorc' '/var/tmp/portage/www-client/dillo-2.0/image//etc/dillorc'
make[2]: Nothing to be done for `install-data-am'.
make[2]: Leaving directory `/var/tmp/portage/www-client/dillo-2.0/work/dillo-2.0'
make[1]: Leaving directory `/var/tmp/portage/www-client/dillo-2.0/work/dillo-2.0'
 * 
 * ERROR: www-client/dillo-2.0 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_install
 *             environment, line 2077:  Called die
 * The specific snippet of code:
 *       use doc && dohtml html/* || die "install documentation failed";
 *  The die message:
 *   install documentation failed
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/log/portage/www-client:dillo-2.0:20081022-131611.log'.
 * The ebuild environment file is located at '/var/tmp/portage/www-client/dillo-2.0/temp/environment'.
 * 

>>> Failed to emerge www-client/dillo-2.0, Log file:

>>>  '/var/log/portage/www-client:dillo-2.0:20081022-131611.log'


Emerge info:

 emerge --info
Portage 2.2_rc12 (default/linux/x86/2008.0/desktop, gcc-4.2.2, glibc-2.7-r2, 2.6.23-gentoo-r1 i686)
=================================================================
System uname: Linux-2.6.23-gentoo-r1-i686-Dual-Core_AMD_Opteron-tm-_Processor_1218-with-glibc2.0
Timestamp of tree: Wed, 22 Oct 2008 03:04:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.5.2-r8
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.6.2
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.23-r2
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=opteron -O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=opteron -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
LINGUAS="en"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X aac acl acpi alsa audiofile avi berkdb bluetooth branding bzip2 cairo cdparanoia cdr cdrom chroot cli cracklib crypt cups dbus divx4linux dri dv dvd dvdr dvdread eds emboss encode esd evo fam ffmpeg firefox flac fortran freetype gdbm gif gimpprint gnome gpm gstreamer gtk gtk2 gtkhtml hal iconv isdnlog java javascript jpeg kerberos lcms ldap libnotify lzo mad mbox midi mikmod mime mmap mmx mmxext mng mp3 mpeg mpi mudflap nas ncurses net network nis nls nptl nptlonly nsplugin nvidia ogg opengl openmp oss pcre pdf perl php png posix postgres ppds pppd python qt3 qt3support qt4 quicktime readline real reflection rtc samba sdl session sndfile snmp sockets socks5 spell spl ssl startup-notification svg swat sysfs szip tcltk tcpd theora tidy tiff truetype type1-fonts unicode usb userlocales vidix vorbis win32codecs wxwindows x86 xfs xgetdefault xml xmlrpc xorg xsl xulrunner xv xvid xvmc zlib" ALSA_CARDS="ice1712 intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="nvidia vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS









Comment 10 Hans Hohenfeld 2008-10-22 14:29:34 UTC
(In reply to comment #9)
> I unmasked both builds and compiled (set USE=-cairo).  I get this: 
> 
> make[2]: Entering directory
> `/var/tmp/portage/www-client/dillo-2.0/work/dillo-2.0/test'
> make[2]: Nothing to be done for `install-exec-am'.
> make[2]: Nothing to be done for `install-data-am'.
> make[2]: Leaving directory
> `/var/tmp/portage/www-client/dillo-2.0/work/dillo-2.0/test'
> make[1]: Leaving directory
> `/var/tmp/portage/www-client/dillo-2.0/work/dillo-2.0/test'
> make[1]: Entering directory
> `/var/tmp/portage/www-client/dillo-2.0/work/dillo-2.0'
> make[2]: Entering directory
> `/var/tmp/portage/www-client/dillo-2.0/work/dillo-2.0'
> test -z "/etc" || /bin/mkdir -p
> "/var/tmp/portage/www-client/dillo-2.0/image//etc"
>  /usr/bin/install -c -m 644 'dillorc'
> '/var/tmp/portage/www-client/dillo-2.0/image//etc/dillorc'
> make[2]: Nothing to be done for `install-data-am'.
> make[2]: Leaving directory
> `/var/tmp/portage/www-client/dillo-2.0/work/dillo-2.0'
> make[1]: Leaving directory
> `/var/tmp/portage/www-client/dillo-2.0/work/dillo-2.0'
>  * 
>  * ERROR: www-client/dillo-2.0 failed.
>  * Call stack:
>  *               ebuild.sh, line   49:  Called src_install
>  *             environment, line 2077:  Called die
>  * The specific snippet of code:
>  *       use doc && dohtml html/* || die "install documentation failed";
>  *  The die message:
>  *   install documentation failed
>  * 
>  * If you need support, post the topmost build error, and the call stack if
> relevant.
>  * A complete build log is located at
> '/var/log/portage/www-client:dillo-2.0:20081022-131611.log'.
>  * The ebuild environment file is located at
> '/var/tmp/portage/www-client/dillo-2.0/temp/environment'.
>  * 
> 
> >>> Failed to emerge www-client/dillo-2.0, Log file:
> 
> >>>  '/var/log/portage/www-client:dillo-2.0:20081022-131611.log'
> 
> 

I got this too. It happens because line 59 of the ebuild

use doc && dohtml html/* || die "install documentation failed"

will alway call die if the doc use flag is not set. I attached a fixed ebuild.
Comment 11 Hans Hohenfeld 2008-10-22 14:30:52 UTC
Created attachment 169412 [details]
Fix installation failure with USE="-doc"
Comment 12 Ben de Groot (RETIRED) gentoo-dev 2008-10-22 15:03:52 UTC
Oops. That was a stupid mistake! Thanks for catching that. I fixed the ebuild (in a slightly different way), so after a sync you should be good to go.
Comment 13 Nicolas Kaiser 2008-11-10 17:21:11 UTC
Thanks! The masked ebuilds are working nicely at my place, on ppc and x86.
Comment 14 Hans Hohenfeld 2008-11-10 18:58:30 UTC
After hours of testing on amd64 everything seems to work well too.
Comment 15 Ferris McCormick (RETIRED) gentoo-dev 2008-11-24 15:18:41 UTC
I have keyworded for ~sparc, as it looks good there.  I am glad to see this appear:  On sparc, dillo is a favorite of mine because it is small and very fast.  Other choices such as firefox or opera are not only slower, but they do not provide any plugins like flash anyway, so there is not much benefit from them.  Also, fltk has always been a good choice on sparc (better than gtk), so I am glad to see that, too.

My first impressions on amd64 indicate that perhaps dillo-2 and the claws-mail dillo plugin might not play together smoothly, but I'll play with that on amd64 and sparc later.
Comment 16 Ferris McCormick (RETIRED) gentoo-dev 2008-11-24 23:10:21 UTC
(In reply to comment #15)
> I have keyworded for ~sparc, as it looks good there.  I am glad to see this
> appear:  On sparc, dillo is a favorite of mine because it is small and very
> fast.  Other choices such as firefox or opera are not only slower, but they do
> not provide any plugins like flash anyway, so there is not much benefit from
> them.  Also, fltk has always been a good choice on sparc (better than gtk), so
> I am glad to see that, too.
> 
> My first impressions on amd64 indicate that perhaps dillo-2 and the claws-mail
> dillo plugin might not play together smoothly, but I'll play with that on amd64
> and sparc later.
> 
There it is.  With dollo-0.8.6, the claws-mail dillo plugin opens dillo with
dillo -x <gtk-socket-to-window-id> file://<path-to-some-file>

With dillo-2.0, this does not work because the it doesn't use gtk, I suppose.  I wonder if there is an alternative...
Comment 17 Hans Hohenfeld 2008-12-02 23:23:28 UTC
(In reply to comment #16)
> (In reply to comment #15)
> > I have keyworded for ~sparc, as it looks good there.  I am glad to see this
> > appear:  On sparc, dillo is a favorite of mine because it is small and very
> > fast.  Other choices such as firefox or opera are not only slower, but they do
> > not provide any plugins like flash anyway, so there is not much benefit from
> > them.  Also, fltk has always been a good choice on sparc (better than gtk), so
> > I am glad to see that, too.
> > 
> > My first impressions on amd64 indicate that perhaps dillo-2 and the claws-mail
> > dillo plugin might not play together smoothly, but I'll play with that on amd64
> > and sparc later.
> > 
> There it is.  With dollo-0.8.6, the claws-mail dillo plugin opens dillo with
> dillo -x <gtk-socket-to-window-id> file://<path-to-some-file>
> 
> With dillo-2.0, this does not work because the it doesn't use gtk, I suppose. 
> I wonder if there is an alternative...
> 

I can't promise, but I'll try to take a look next weekend...
Comment 18 Ben de Groot (RETIRED) gentoo-dev 2008-12-15 02:12:24 UTC
Unmasked now. Have fun!
Comment 19 Philip Webb 2009-01-04 10:23:01 UTC
I tried to emerge dillo-2.0, which requires fltk-2.0_pre6525, which failed.
The final few lines are :

  === making OpenGL ===
  Makefile:90: makedepend: No such file or directory
  Compiling Fl_Gl_Choice.cxx...
  Compiling Fl_Gl_Overlay.cxx...
  Compiling Fl_Gl_Window.cxx...
  Fl_Gl_Choice.cxx: In function \
   '__GLXcontextRec*fltk::create_gl_context(XVisualInfo*)':
  Fl_Gl_Choice.cxx:248: error: 'printf' was not declared in this scope
  make[1]: *** [Fl_Gl_Choice.o] Error 1
  make[1]: *** Waiting for unfinished jobs....
  make: *** [all] Error 2

root:505 etc> emerge --info
Portage 2.1.6.4 (default/linux/amd64/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r4 x86_64)
=================================================================
System uname: Linux-2.6.25-gentoo-r4-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E6750_@_2.66GHz-with-glibc2.2.5
Timestamp of tree: Sat, 03 Jan 2009 12:45:03 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.4.4-r13, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.4.6-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=nocona -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=nocona -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--alphabetical"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch userpriv"
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo http://osmirrors.cerias.purdue.edu/pub/gentoo/ http://lug.mtu.edu/gentoo/ http://open-systems.ufl.edu/mirrors/gentoo http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/z/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X amd64 apm bitmap-fonts bonobo bzip2 cdr crypt cups dbus dri foomaticdb gcj gdbm gif gnutls gpm gtk gtk2 hal imagemagick imlib java javascript jpeg kde lcms libwww lm_sensors mime motif mpeg multilib ncurses nptl nptlonly nsplugin nvidia opengl pcre pdf perl plotutils png pop python qt3 readline scanner session slang ssl threads tiff tk truetype truetype-fonts type1-fonts unicode usb xml xorg xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="i810 vesa"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 20 Ferris McCormick (RETIRED) gentoo-dev 2009-07-15 13:05:06 UTC
(In reply to comment #16)
> (In reply to comment #15)
> > I have keyworded for ~sparc, as it looks good there.  I am glad to see this
> > appear:  On sparc, dillo is a favorite of mine because it is small and very
> > fast.  Other choices such as firefox or opera are not only slower, but they do
> > not provide any plugins like flash anyway, so there is not much benefit from
> > them.  Also, fltk has always been a good choice on sparc (better than gtk), so
> > I am glad to see that, too.
> > 
> > My first impressions on amd64 indicate that perhaps dillo-2 and the claws-mail
> > dillo plugin might not play together smoothly, but I'll play with that on amd64
> > and sparc later.
> > 
> There it is.  With dollo-0.8.6, the claws-mail dillo plugin opens dillo with
> dillo -x <gtk-socket-to-window-id> file://<path-to-some-file>
> 
> With dillo-2.0, this does not work because the it doesn't use gtk, I suppose. 
> I wonder if there is an alternative...
> 

I'll reply here, even though this bug is marked as resolved.  With dillo-2.1.1, claws-mail+dillo combination works just fine (it uses 'dillo -x ..... ') and dillo-2.1.1 is a big improvement over dillo-0.8.6 generally.  So, many thanks to Hans and all.